"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPreviewPkg = exports.checkPackageIsUpToDate = void 0;
const root_1 = require("../_preview/root");
const constants_1 = require("./constants");
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const checkPackageIsUpToDate = async () => {
    try {
        const reactEmailPkg = await fs_1.default.promises.readFile(path_1.default.join(constants_1.REACT_EMAIL_ROOT, 'package.json'), { encoding: 'utf8' });
        const isUpToDate = JSON.parse(reactEmailPkg).version === (0, exports.getPreviewPkg)().version;
        return isUpToDate;
    }
    catch (error) {
        throw new Error('Error checking if app is up-to-date');
    }
};
exports.checkPackageIsUpToDate = checkPackageIsUpToDate;
const getPreviewPkg = () => {
    const [previewPkg] = root_1.root.filter((pkg) => pkg.title === 'package.json');
    return JSON.parse(previewPkg?.content || '');
};
exports.getPreviewPkg = getPreviewPkg;
