"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.watcher = exports.watcherInstance = void 0;
const chokidar_1 = __importDefault(require("chokidar"));
const constants_1 = require("./constants");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const cpy_1 = __importDefault(require("cpy"));
exports.watcherInstance = chokidar_1.default.watch(constants_1.CLIENT_EMAILS_PATH, {
    ignoreInitial: true,
    cwd: constants_1.CURRENT_PATH,
    ignored: /(^|[\/\\])\../,
});
const watcher = () => exports.watcherInstance.on('all', async (event, filename) => {
    if (event === constants_1.EVENT_FILE_DELETED) {
        const file = filename.split('/');
        if (file[1] === 'static') {
            if (file[2]) {
                await fs_1.default.promises.rm(path_1.default.join(constants_1.REACT_EMAIL_ROOT, 'public', 'static', file[2]));
                return;
            }
        }
        await fs_1.default.promises.rm(path_1.default.join(constants_1.REACT_EMAIL_ROOT, filename));
    }
    else {
        const file = filename.split('/');
        if (file[1] === 'static') {
            await (0, cpy_1.default)(`${constants_1.CLIENT_EMAILS_PATH}/static/${file[2]}`, `${constants_1.REACT_EMAIL_ROOT}/public/static`);
            return;
        }
        await (0, cpy_1.default)(`${constants_1.CLIENT_EMAILS_PATH}/${file[1]}`, constants_1.PACKAGE_EMAILS_PATH);
    }
});
exports.watcher = watcher;
